package fr.janua.client.presenter;

import com.mvp4g.client.annotation.Presenter;
import com.mvp4g.client.presenter.LazyPresenter;

import fr.janua.client.JaguardsEventBus;
import fr.janua.client.view.PageAdminDocumentView;
import fr.janua.client.view.interfaces.IPageAdminDocumentView;
import fr.janua.client.view.interfaces.IPageAdminDocumentView.IPageAdminDocumentPresenter;


@Presenter( view = PageAdminDocumentView.class )
public class PageAdminDocumentPresenter extends LazyPresenter<IPageAdminDocumentView, JaguardsEventBus> implements IPageAdminDocumentPresenter {
//	private JaguardsConstants constants = GWT.create(JaguardsConstants.class);
//	private CrudRequestFactory requestFactory = GWT.create(CrudRequestFactory.class);

	public void onGoToPageAdminDocument(){
		view.loadPage();
		eventBus.setBody( view );
	}


}