package fr.janua.client.presenter;

import com.mvp4g.client.annotation.Presenter;
import com.mvp4g.client.presenter.LazyPresenter;

import fr.janua.client.JaguardsEventBus;
import fr.janua.client.view.PageDemoView;
import fr.janua.client.view.interfaces.IPageDemoView;
import fr.janua.client.view.interfaces.IPageDemoView.IPageDemoPresenter;


@Presenter( view = PageDemoView.class )
public class PageDemoPresenter extends LazyPresenter<IPageDemoView, JaguardsEventBus> implements IPageDemoPresenter {
	
	public void onGoToPageDemo(){
		view.loadPage();
		eventBus.setBody( view );
	}
	
	

	
}