package fr.janua.client.presenter;

import com.google.gwt.user.client.ui.IsWidget;
import com.mvp4g.client.annotation.Presenter;
import com.mvp4g.client.presenter.BasePresenter;

import fr.janua.client.JaguardsEventBus;
import fr.janua.client.view.RootView;
import fr.janua.client.view.interfaces.IRootView;
import fr.janua.client.view.interfaces.IRootView.IRootPresenter;

@Presenter( view = RootView.class )
public class RootPresenter extends BasePresenter<IRootView, JaguardsEventBus> implements IRootPresenter {

	public void onSetBody( IsWidget body ) {
		view.setBody( body );
	}

	public void onStart() {
		eventBus.goToPageLogin();
	}

	@Override
	public void click() {
		eventBus.activity();
	}

}