package fr.janua.shared;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;

public enum Action implements Serializable, IsSerializable{
	CONNECTION("Connexion"),
	DISCONNECTION("Déconnexion"),
	CREATE_USER("Création Profil"),
	READ_USER("Lecture Profils"),
	UPDATE_USER("Modification Profil"),
	CREATE_GROUP("Création Groupe"),
	READ_GROUP("Lecture Groupes"),
	UPDATE_GROUP("Modification Groupe"),
	CREATE_MESSAGE("Création Message"),
	UPDATE_MESSAGE("Modification Message"),
	READ_MESSAGE("Lecture Messages"),
	CLOSE_MESSAGE("Fermeture Message"),
	ADD_COMMENT("Ajout Commentaire"),
	CREATE_TYPE("Création Type"),
	READ_Type("Lecture Types"),
	UPDATE_TYPE("Modification Type"),
	CREATE_SITE("Création Site"),
	READ_SITE("Lecture Sites"),
	UPDATE_SITE("Modification Site"),
	GENERATE_PDF("Génération de PDF"),
	UNKNOW("---")
	;
	
    private Action(String text) {
        this.text = text;
    }

    private String text;

    @Override
    public String toString() {
        return text;
    }
	
}
