package fr.janua.client;

import com.google.web.bindery.requestfactory.shared.RequestFactory;

import fr.janua.client.stub.CommentRequest;
import fr.janua.client.stub.GroupRequest;
import fr.janua.client.stub.MessageRequest;
import fr.janua.client.stub.SiteRequest;
import fr.janua.client.stub.TypeRequest;
import fr.janua.client.stub.UserRequest;

public interface CrudRequestFactory extends RequestFactory {
	GroupRequest getGroupRequest();
	SiteRequest getSiteRequest();
	TypeRequest getTypeRequest();
	UserRequest getUserRequest();
	MessageRequest getMessageRequest();
	CommentRequest getCommentRequest();
}
