package fr.janua.client.presenter;

import com.mvp4g.client.annotation.Presenter;
import com.mvp4g.client.presenter.LazyPresenter;

import fr.janua.client.JaguardsEventBus;
import fr.janua.client.view.PageDocumentView;
import fr.janua.client.view.interfaces.IPageDocumentView;
import fr.janua.client.view.interfaces.IPageDocumentView.IPageDocumentPresenter;


@Presenter( view = PageDocumentView.class )
public class PageDocumentPresenter extends LazyPresenter<IPageDocumentView, JaguardsEventBus> implements IPageDocumentPresenter {
//	private JaguardsConstants constants = GWT.create(JaguardsConstants.class);
//	private CrudRequestFactory requestFactory = GWT.create(CrudRequestFactory.class);

	public void onGoToPageDocument(){
		view.loadPage();
		eventBus.setBody( view );
	}


}