package fr.janua.client.proxy;

import java.util.Set;

import com.google.web.bindery.requestfactory.shared.EntityProxy;
import com.google.web.bindery.requestfactory.shared.ProxyFor;

import fr.janua.server.entity.Group;
import fr.janua.server.locator.GroupLocator;

@ProxyFor(value = Group.class, locator = GroupLocator.class)
public interface GroupProxy extends EntityProxy{
	String getName();
	int getCrudUser();
	int getCrudMessage();
	int getCrudGroup();
	int getCrudType();
	int getCrudSite();
	int getCrudLog();
	int getCrudUploadDoc();
	String getMail();
	Integer getVersion();
	Set<SiteProxy> getSiteAllowed();
	Set<TypeProxy> getTypeAllowed();

	
	void setName(String name);
	void setCrudUser(int crudUser);
	void setCrudMessage(int crudMessage);
	void setCrudGroup(int crudGroup);
	void setCrudType(int crudType);
	void setCrudSite(int crudSite);
	void setCrudLog(int crudLog);
	void setCrudUploadDoc(int crudUploadDoc);
	void setMail(String mail);
	void setVersion(Integer version);
	void setSiteAllowed(Set<SiteProxy> siteAllowed);
	void setTypeAllowed(Set<TypeProxy> typeAllowed);
	
}
