package fr.janua.client.proxy;

import java.util.Set;

import com.google.web.bindery.requestfactory.shared.EntityProxy;
import com.google.web.bindery.requestfactory.shared.ProxyFor;

import fr.janua.server.entity.Message;
import fr.janua.server.locator.MessageLocator;

@ProxyFor(value = Message.class, locator = MessageLocator.class)
public interface MessageProxy extends EntityProxy{
	int getId();
	String getTitle();
	String getDescription();
	String getCommentClosure();
	long getCreationDate();
	long getClosureDate();
	int getStatus();
	long getEventDate();
	String getGroupCreator();
	String getGroupCloser();
	String getNameCreator();
	String getNameCloser();
	SiteProxy getSite();
	Set<TypeProxy> getTypes();
	Set<CommentProxy> getComments();
	long getLastChange();
	Integer getVersion();
	
	void setId(int id);
	void setTitle(String title);
	void setDescription(String description);
	void setCommentClosure(String commentClosure);
	void setCreationDate(long creationDate);
	void setClosureDate(long closureDate);
	void setStatus(int status);
	void setEventDate(long eventDate);
	void setGroupCreator(String groupCreator);
	void setGroupCloser(String groupCloser);
	void setNameCreator(String nameCreator);
	void setNameCloser(String nameCloser);
	void setSite(SiteProxy site);
	void setTypes(Set<TypeProxy> types);
	void setComments(Set<CommentProxy> comments);
	void setLastChange(long lastChange);
	void setVersion(Integer version);
	
}
