package fr.janua.client.stub;

import java.util.List;

import com.google.web.bindery.requestfactory.shared.Request;
import com.google.web.bindery.requestfactory.shared.RequestContext;
import com.google.web.bindery.requestfactory.shared.Service;

import fr.janua.client.proxy.TypeProxy;
import fr.janua.server.dao.object.TypeDAO;
import fr.janua.server.locator.DAOLocator;

@Service(value = TypeDAO.class, locator = DAOLocator.class)
public interface TypeRequest extends RequestContext {
	// méthodes génériques des DAO
	Request<Boolean> create(TypeProxy type);
	Request<Boolean> delete(TypeProxy type);
	Request<Boolean> update(TypeProxy type);
	Request<TypeProxy> findById(int id);
	
	// méthodes propres à cette DAO
	Request<TypeProxy> findByName(String name);
	Request<List<TypeProxy>> findAllType();
	
}
