package fr.janua.client.view.interfaces;

import com.google.gwt.user.client.ui.IsWidget;

public interface IMenuView extends IsWidget {

	public interface IMenuPresenter{
		void logout();
		
		// Onglet "Se connecter"
		void goToPageLogin();
		
		// Onglet "Main Courante"
		void goToPageMainCourante();
		
		// Onglet "Document"
		void goToPageDocument();
		
		// Onglet "Administration"
		void goToPageProfil();
		void goToPageAccessRights();
		void goToPageSite();
		void goToPageType();
		void goToPageAdminDocument();
		void goToPageLog();
		
		// Onglet "Démo"
		void goToPageDemo();

		/**
		 * Check si on est connecté ou pas.
		 * @return
		 */
		boolean isConnected();

		

		




		



	}

	void setStatusConnection(String login, boolean isLogged);

}
