-- phpMyAdmin SQL Dump
-- version 3.4.10.1deb1
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le : Ven 16 Août 2013 à 15:03
-- Version du serveur: 5.5.32
-- Version de PHP: 5.3.10-1ubuntu3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `jaguards_gwt`
--

-- --------------------------------------------------------

--
-- Structure de la table `c3p0Test`
--

CREATE TABLE IF NOT EXISTS `c3p0Test` (
  `a` char(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `ta_group_site`
--

CREATE TABLE IF NOT EXISTS `ta_group_site` (
  `group_name` varchar(40) NOT NULL,
  `site_name` varchar(255) NOT NULL,
  PRIMARY KEY (`group_name`,`site_name`),
  KEY `FK8AFDCA19B8F0BF7D` (`group_name`),
  KEY `FK8AFDCA194C170B7` (`site_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `ta_group_site`
--

INSERT INTO `ta_group_site` (`group_name`, `site_name`) VALUES
('Demo', 'Berlin'),
('Demo', 'Bruxelles'),
('Demo', 'Nice'),
('Demo', 'Paris'),
('Demo', 'Rome'),
('Demo', 'Toulon');

-- --------------------------------------------------------

--
-- Structure de la table `ta_group_type`
--

CREATE TABLE IF NOT EXISTS `ta_group_type` (
  `group_name` varchar(40) NOT NULL,
  `type_name` varchar(255) NOT NULL,
  PRIMARY KEY (`group_name`,`type_name`),
  KEY `FK8AFE7A0CB8F0BF7D` (`group_name`),
  KEY `FK8AFE7A0C43807097` (`type_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `ta_group_type`
--

INSERT INTO `ta_group_type` (`group_name`, `type_name`) VALUES
('Demo', 'Bagarre'),
('Demo', 'Expulsion'),
('Demo', 'Incendie'),
('Demo', 'Incivilité'),
('Demo', 'Inondation'),
('Demo', 'Police'),
('Demo', 'Vol');

-- --------------------------------------------------------

--
-- Structure de la table `ta_message_comments`
--

CREATE TABLE IF NOT EXISTS `ta_message_comments` (
  `message_id` int(11) NOT NULL,
  `comment_id` int(11) NOT NULL,
  PRIMARY KEY (`message_id`,`comment_id`),
  UNIQUE KEY `comment_id` (`comment_id`),
  KEY `FKCA7882BE17C3944D` (`message_id`),
  KEY `FKCA7882BEB1DCD54D` (`comment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `ta_message_types`
--

CREATE TABLE IF NOT EXISTS `ta_message_types` (
  `message_id` int(11) NOT NULL,
  `type_name` varchar(255) NOT NULL,
  PRIMARY KEY (`message_id`,`type_name`),
  KEY `FKCB37F7EF43807097` (`type_name`),
  KEY `FKCB37F7EF17C3944D` (`message_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `ta_user_site`
--

CREATE TABLE IF NOT EXISTS `ta_user_site` (
  `user_name` varchar(40) NOT NULL,
  `site_name` varchar(255) NOT NULL,
  PRIMARY KEY (`user_name`,`site_name`),
  KEY `FKA2A3F7E938C8A337` (`user_name`),
  KEY `FKA2A3F7E94C170B7` (`site_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `t_comment`
--

CREATE TABLE IF NOT EXISTS `t_comment` (
  `comment_id` int(11) NOT NULL AUTO_INCREMENT,
  `comment_author` varchar(255) DEFAULT NULL,
  `comment_date` bigint(20) DEFAULT NULL,
  `comment_description` longtext,
  `comment_group_name` varchar(255) DEFAULT NULL,
  `comment_version` int(11) DEFAULT NULL,
  `comment_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`comment_id`),
  KEY `FKF437E19453FAD541` (`comment_type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Structure de la table `t_group`
--

CREATE TABLE IF NOT EXISTS `t_group` (
  `group_name` varchar(40) NOT NULL,
  `group_crud_group` int(11) DEFAULT NULL,
  `group_crud_log` int(11) DEFAULT NULL,
  `group_crud_message` int(11) DEFAULT NULL,
  `group_crud_site` int(11) DEFAULT NULL,
  `group_crud_type` int(11) DEFAULT NULL,
  `group_crud_upload_doc` int(11) DEFAULT NULL,
  `group_crud_user` int(11) DEFAULT NULL,
  `group_mail` varchar(255) DEFAULT NULL,
  `site_version` int(11) DEFAULT NULL,
  PRIMARY KEY (`group_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `t_group`
--

INSERT INTO `t_group` (`group_name`, `group_crud_group`, `group_crud_log`, `group_crud_message`, `group_crud_site`, `group_crud_type`, `group_crud_upload_doc`, `group_crud_user`, `group_mail`, `site_version`) VALUES
('Demo', 1, 1, 7, 1, 1, 0, 7, '', 1);

-- --------------------------------------------------------

--
-- Structure de la table `t_log`
--

CREATE TABLE IF NOT EXISTS `t_log` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `log_action` varchar(255) DEFAULT NULL,
  `log_date` bigint(20) DEFAULT NULL,
  `log_detail` varchar(255) DEFAULT NULL,
  `log_ip` varchar(15) DEFAULT NULL,
  `log_login_author` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=41 ;

-- --------------------------------------------------------

--
-- Structure de la table `t_message`
--

CREATE TABLE IF NOT EXISTS `t_message` (
  `message_id` int(11) NOT NULL AUTO_INCREMENT,
  `message_closure_date` bigint(20) DEFAULT NULL,
  `message_comment_closure` longtext,
  `message_creation_date` bigint(20) DEFAULT NULL,
  `message_description` longtext,
  `message_event_date` bigint(20) DEFAULT NULL,
  `message_group_closer` varchar(255) DEFAULT NULL,
  `message_group_creator` varchar(255) DEFAULT NULL,
  `message_last_change` bigint(20) DEFAULT NULL,
  `message_name_closer` varchar(255) DEFAULT NULL,
  `message_name_creator` varchar(255) DEFAULT NULL,
  `message_status` int(11) DEFAULT NULL,
  `message_title` varchar(255) DEFAULT NULL,
  `message_version` int(11) DEFAULT NULL,
  `message_site` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`message_id`),
  KEY `FKF47CF33CD7E52CB3` (`message_site`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Structure de la table `t_site`
--

CREATE TABLE IF NOT EXISTS `t_site` (
  `site_name` varchar(255) NOT NULL,
  `site_enabled` bit(1) DEFAULT NULL,
  `site_version` int(11) DEFAULT NULL,
  PRIMARY KEY (`site_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `t_site`
--

INSERT INTO `t_site` (`site_name`, `site_enabled`, `site_version`) VALUES
('Berlin', b'1', 0),
('Bruxelles', b'1', 0),
('Nice', b'1', 0),
('Paris', b'1', 0),
('Rome', b'1', 0),
('Toulon', b'1', 0);

-- --------------------------------------------------------

--
-- Structure de la table `t_type`
--

CREATE TABLE IF NOT EXISTS `t_type` (
  `type_name` varchar(255) NOT NULL,
  `type_bg_color` varchar(255) DEFAULT NULL,
  `type_enabled` bit(1) DEFAULT NULL,
  `type_fg_color` varchar(255) DEFAULT NULL,
  `type_version` int(11) DEFAULT NULL,
  PRIMARY KEY (`type_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `t_type`
--

INSERT INTO `t_type` (`type_name`, `type_bg_color`, `type_enabled`, `type_fg_color`, `type_version`) VALUES
('Bagarre', '#000080', b'1', 'whiteSmoke', 0),
('Expulsion', '#9370D8', b'1', 'black', 0),
('Incendie', '#FF4500', b'1', 'whiteSmoke', 0),
('Incivilité', '#FA8072', b'1', 'black', 0),
('Inondation', '#00BFFF', b'1', 'whiteSmoke', 0),
('Police', '#FFD700', b'1', 'black', 0),
('Vol', '#008080', b'1', 'black', 0);

-- --------------------------------------------------------

--
-- Structure de la table `t_user`
--

CREATE TABLE IF NOT EXISTS `t_user` (
  `user_login` varchar(40) NOT NULL,
  `user_enabled` bit(1) DEFAULT NULL,
  `user_first_name` varchar(40) DEFAULT NULL,
  `user_last_activity` bigint(20) DEFAULT NULL,
  `user_last_name` varchar(40) DEFAULT NULL,
  `user_mail` varchar(255) DEFAULT NULL,
  `user_password` varchar(40) DEFAULT NULL,
  `user_show_help` bit(1) DEFAULT NULL,
  `user_version` int(11) DEFAULT NULL,
  `user_group` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`user_login`),
  KEY `FKCB63CCB6DF2B4C3D` (`user_group`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `t_user`
--

INSERT INTO `t_user` (`user_login`, `user_enabled`, `user_first_name`, `user_last_activity`, `user_last_name`, `user_mail`, `user_password`, `user_show_help`, `user_version`, `user_group`) VALUES
('Admin', b'1', 'Gilles', 0, 'Phan', 'phan.gilles@gmail.com', '02197d6af3152be25ad528d65fe32317', b'0', 0, 'Demo');

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `ta_group_site`
--
ALTER TABLE `ta_group_site`
  ADD CONSTRAINT `FK8AFDCA194C170B7` FOREIGN KEY (`site_name`) REFERENCES `t_site` (`site_name`),
  ADD CONSTRAINT `FK8AFDCA19B8F0BF7D` FOREIGN KEY (`group_name`) REFERENCES `t_group` (`group_name`);

--
-- Contraintes pour la table `ta_group_type`
--
ALTER TABLE `ta_group_type`
  ADD CONSTRAINT `FK8AFE7A0C43807097` FOREIGN KEY (`type_name`) REFERENCES `t_type` (`type_name`),
  ADD CONSTRAINT `FK8AFE7A0CB8F0BF7D` FOREIGN KEY (`group_name`) REFERENCES `t_group` (`group_name`);

--
-- Contraintes pour la table `ta_message_comments`
--
ALTER TABLE `ta_message_comments`
  ADD CONSTRAINT `FKCA7882BEB1DCD54D` FOREIGN KEY (`comment_id`) REFERENCES `t_comment` (`comment_id`),
  ADD CONSTRAINT `FKCA7882BE17C3944D` FOREIGN KEY (`message_id`) REFERENCES `t_message` (`message_id`);

--
-- Contraintes pour la table `ta_message_types`
--
ALTER TABLE `ta_message_types`
  ADD CONSTRAINT `FKCB37F7EF17C3944D` FOREIGN KEY (`message_id`) REFERENCES `t_message` (`message_id`),
  ADD CONSTRAINT `FKCB37F7EF43807097` FOREIGN KEY (`type_name`) REFERENCES `t_type` (`type_name`);

--
-- Contraintes pour la table `ta_user_site`
--
ALTER TABLE `ta_user_site`
  ADD CONSTRAINT `FKA2A3F7E94C170B7` FOREIGN KEY (`site_name`) REFERENCES `t_site` (`site_name`),
  ADD CONSTRAINT `FKA2A3F7E938C8A337` FOREIGN KEY (`user_name`) REFERENCES `t_user` (`user_login`);

--
-- Contraintes pour la table `t_comment`
--
ALTER TABLE `t_comment`
  ADD CONSTRAINT `FKF437E19453FAD541` FOREIGN KEY (`comment_type`) REFERENCES `t_type` (`type_name`);

--
-- Contraintes pour la table `t_message`
--
ALTER TABLE `t_message`
  ADD CONSTRAINT `FKF47CF33CD7E52CB3` FOREIGN KEY (`message_site`) REFERENCES `t_site` (`site_name`);

--
-- Contraintes pour la table `t_user`
--
ALTER TABLE `t_user`
  ADD CONSTRAINT `FKCB63CCB6DF2B4C3D` FOREIGN KEY (`user_group`) REFERENCES `t_group` (`group_name`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
